package main

import (
	"sparrow/pkg/rpcs"
	"sparrow/pkg/server"
	"sync"
)

// FileAccessor RPC服务
type FileAccess struct {
	mu sync.RWMutex
}

// NewFileAccessor create a FileAccessor instance
func NewFileAccess() *FileAccess {
	return &FileAccess{}
}

// MoveFile move a file to new path
func (f *FileAccess) MoveFile(args *rpcs.ArgsMoveFile, reply *rpcs.ReplyMoveFile) error {
	server.Log.Info("调用rpc")
	return nil
}
